<!DOCTYPE html>
<html>
<head>
    <title>Zona Siaran TV</title>
    <meta name='viewport' content='width=device-width, initial-scale=1.0'/>
    <script src='https://cdnjs.cloudflare.com/ajax/libs/shaka-player/4.3.3/shaka-player.ui.min.js' crossorigin='anonymous'></script>
    <link rel='stylesheet' href='https://onestopfilm.github.io/rantogudel/assets/styleshaka.css' crossorigin='anonymous'/>
    <link rel='stylesheet' href='https://onestopfilm.github.io/rantogudel/assets/style.css' crossorigin='anonymous'/>
</head>

<body bgcolor='black' style='margin:0' oncontextmenu='return false' onkeydown='return false' onmousedown='return false'>

    <div id="vidio" data-shaka-player-container style='position:absolute;z-index: -1;top: 0;left: 0;width: 100%; height: 100%;object-fit:fill cover;'>
        <video autoplay data-shaka-player id='video' poster="https://pripri7.github.io/img/live/backgroundplay.png" style='width:100%;height:100%;'></video>
        <div class="shaka-controls-container" shown="true">
            <div class="shaka-scrim-container"></div>
            <div class="shaka-play-buton-container">
                <button class="shaka-play-button shaka-no-propagation" ion="pause" aria-abel="Pause"></button>
		    </div>
            <div class="shaka-server-side-ad-container"></div>
            <div class="shaka-bottom-controls shaka-no-propagation">
                <div class="shaka-ad-controls shaka-hidden">
                    <div class="shaka-ad-position shaka-hidden">
                        <span class="shaka-ad-position-span"></span>
				    </div>
                    <div class="shaka-ad-counter">
                        <span class="shaka-ad-counter-span"></span>
				    </div>
			    </div>
                <div class="shaka-controls-button-panel shaka-show-controls-on-mouse-over">
                    <img src="https://pripri7.github.io/img/live/dglogo.png" style='width:15% ;height:15%;' class="shaka-fullscreen-button material-icons-round shaka-tooltip" aria-label="mute">
			    </div>
		    </div>
	    </div>
    </div>

   <script> 
   async function init() { 
    const video = document.getElementById('video'); 
    const ui = video['ui']; 
    const controls = ui.getControls(); 
    const player = controls.getPlayer(); 
    const sekang = 'PLTV/86/224/3221241590'; // Spain
    
    player.configure({
        drm: {
            clearKeys: {
                //   'key-id-in-hex': 'key-in-hex',
                '43d1c3b25207ff38b22ccfe17d302367':'7b1f85f6e81059473b114c16a25c829a'
            }
        }
    });

    window.player = player; 
    window.ui = ui; 
    player.addEventListener('error', onPlayerErrorEvent); 
    controls.addEventListener('error', onUIErrorEvent); 
    try{await player.load(sekang); 
    console.log('The video has now been loaded!');} catch (error) {onPlayerError(error);}} 

    function onPlayerErrorEvent(errorEvent) {onPlayerError(event.detail);} 
    function onPlayerError(error) {console.error('Error code', error.code, 'object', error);} 
    function onUIErrorEvent(errorEvent) {onPlayerError(event.detail);} 
    function initFailed(errorEvent) {console.error('Unable to load the UI library!');} 
    document.addEventListener('shaka-ui-loaded', init); 
    document.addEventListener('shaka-ui-load-failed', initFailed); 

    </script>
    
</html>